import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../generated/colors.gen.dart';
import 'painter/dash_line_painter.dart';

class KntDivider extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 1.sw,
      height: 0.5.w,
      color: ColorName.silver,
    );
  }
}

class KntDashDivider extends StatelessWidget {
  final Color? color;

  const KntDashDivider({
    Key? key,
    this.color,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 1.sw,
      height: 0.5.w,
      child: CustomPaint(
        painter: DashedLinePainter(
          color: color ?? ColorName.jungleGreen,
          strokeWidth: 0.5.w,
          dashWidth: 2.0.w,
          dashSpace: 2.0.w,
        ),
      ),
    );
  }
}
